## refcard 5.0.5

=== Makefile ===
# (C) 2004, 2005, 2008 W. Martin Borgert debacle@debian.org
# See COPYING for the license status of this software.

# You need to apt-get install
# docbook-xsl pdfjam pdftk po4a xmlroff poppler-utils xsltproc

# The "--keep 0" can be removed when the translations are ready
TRANSLATE=po4a-translate --format docbook --keep 0
UPDATEPO=po4a-updatepo --format docbook
XP=xsltproc --nonet --novalid
XMLROFF=xmlroff --backend cairo
# cairo backend of xmlroff 0.6.0 crashes on some languages (#492597)
GPLIST=ar eu he hi ja sv
XMLROFF_GP=xmlroff --backend gp
DIA=dia

# Not yet implemted in the new version (neither FO nor dblatex)
#ifneq ($(AD),)
#    ad=--stringparam ad $(AD)
#else
#    ad=
#endif

PO_FILES=$(wildcard po4a/*.po)
# international standard format
A4_LANGS=en $(patsubst po4a/%.po,%,$(PO_FILES))
# non-standard format for north america
LT_LANGS=en es fr

# xmlroff has some issues, so we can use FOP instead. FOP,
# however, fails on non Western European languages and is not
# yet in Debian/main. Call make with USE_FOP=1 (use FOP for some
# languages) or USE_FOP=2 (use always FOP)
FOP=fop
ifdef USE_FOP
    ifeq ($(USE_FOP),2)
	XMLROFF_LANGS=
    else
	XMLROFF_LANGS=bg cs el he hu ja nb pl ro ru sk tr uk vi zh_CN zh_TW
    endif
else
    XMLROFF_LANGS=$(A4_LANGS)
endif

# Because of current limitations of xmlroff in respect to layout, we
# can also use dblatex. Like with fop, some languages don't work well:
# See #499500 (bg), #492365 (he), #492366 (el), #492350 (ja), # #482857 (zh_CN)
DBLATEX=dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl
ifdef USE_DBLATEX
    ifeq ($(USE_DBLATEX),2)
	XMLROFF_LANGS=
    else
	XMLROFF_LANGS=ar bg el he hi ja zh_CN zh_TW
    endif
else
    XMLROFF_LANGS=$(A4_LANGS)
endif

ENTRIES=$(patsubst %,entries-%.dbk,$(A4_LANGS))

PDFS=$(patsubst %,refcard-%-a4.pdf,$(A4_LANGS)) \
    $(patsubst %,refcard-%-lt.pdf,$(LT_LANGS))

refcard-%.dbk: entries-%.dbk preproc.xsl refcard.dbk
	$(XP) preproc.xsl $< > $@

refcard-%-a4.fo: refcard-%.dbk fo.xsl
	$(XP) fo.xsl $< > $@

refcard-%-lt.fo: refcard-%.dbk fo.xsl
	$(XP) --stringparam page.height 216mm \
	    --stringparam page.width 93mm fo.xsl $< > $@

# the .fo is not used for dblatex, but I don't care
refcard-%.s.pdf: refcard-%.fo dblatex.xsl refcard.sty
	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
	USE_XR=`echo " $(XMLROFF_LANGS) " | grep " $$L "`; \
	if [ -n "$$USE_XR" ]; then \
	    USE_GP=`echo " $(GPLIST) " | grep " $$L "`; \
	    if [ -n "$$USE_GP" ]; then \
		$(XMLROFF_GP) -o $@ $<; \
	    else \
		$(XMLROFF) -o $@ $<; \
	    fi; \
	else \
	    if [ -n "$$USE_DBLATEX" ]; then \
		SRC=`echo $<|sed 's/-\(a4\|lt\).fo/.dbk/'`; \
		FMT=`echo $<|sed 's/.*-\(a4\|lt\).fo/\1/'`; \
		$(DBLATEX) --output=$@ --param=format=$$FMT $$SRC; \
	    else \
		$(FOP) $< $@; \
	    fi; \
	fi

refcard-%-a4.t.pdf: refcard-%-a4.s.pdf empty.pdf
	pdfjoin --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
	pdfnup --nup 3x1 --outfile $@ --pages 5-6,1-4 \
	    --paper a4paper $<.x.pdf
	rm $<.x.pdf

refcard-%-lt.t.pdf: refcard-%-lt.s.pdf empty.pdf
	pdfjoin --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
	pdfnup --nup 3x1 --outfile $@ --pages 5-6,1-4 \
	    --paper letterpaper $<.x.pdf
	rm $<.x.pdf

refcard-%.pdf: refcard-%.t.pdf metadata.xsl
	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
	$(XP) metadata.xsl entries-$$L.dbk | \
	pdftk $< update_info - output $@

entries-%.dbk: po4a/%.po entries.dbk
	$(TRANSLATE) -m entries.dbk -p $< -l $@

all: index.html $(PDFS) check

updatepo: $(PO_FILES) po4a/entries.pot
$(PO_FILES) po4a/entries.pot: entries.dbk
	$(UPDATEPO) --master $< --po $@

tidypo:
	for po in $(PO_FILES) po4a/entries.pot; do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done

# make sure, we have always at least six pages for pdfnup
empty.fo: empty.dbk fo.xsl
	$(XP) fo.xsl $< > $@

empty.pdf: empty.fo
	$(XMLROFF) -o $@ $<

.PHONY: all clean count mrproper

entries-en.dbk: entries.dbk
	cp -f $< $@

statistics.xml: $(PO_FILES) Makefile
	( \
	    LANG=C; export LANG; \
	    echo '<?xml version="1.0" encoding="utf-8"?>'; \
	    echo '<statistics>'; \
	    for po in $(PO_FILES); do \
		L=`basename $$po .po`; \
		echo -n '<s l="'$$L'">'; \
		msgfmt --statistics $$po 2>&1 | \
		    sed -e 's|\([0-9]*\) translated messages*|\1\&#x00A0;ok|' \
			-e 's|\([0-9]*\) fuzzy translations*|\1\&#x00A0;fuzzy|' \
			-e 's|\([0-9]*\) untranslated messages*|\1\&#x00A0;todo|' \
			-e 's|$$|</s>|'; \
		grep '^"Last-Translator:' $$po | \
		    sed -e 's/</\&lt;/g' -e 's/>/\&gt;/g' | \
		    sed 's,"Last-Translator: *\(.*\)\\n.*,<t l="'$$L'">\1</t>,'; \
	    done; \
	    echo '</statistics>'; \
	) > $@

statistics.txt: statistics.xml
	cat $< | grep '^<s ' | sed -e 's/<s l="//' -e 's/">/	/' \
	    -e 's/&#x00A0;/ /g' -e 's/<\/s>//' > $@

index.html: refcard.dbk $(ENTRIES) statistics.xml html.xsl
	$(XP) --xinclude html.xsl $< > $@

refcard.png: refcard.dia
	$(DIA) --export=$@ $<

install: index.html refcard.png $(PDFS)
	if [ -n "$$DESTDIR" ]; then \
	    mkdir -p $$DESTDIR; \
	    cp -fp openlogo-nd-25.png refcard.png $(PDFS) $(DESTDIR)/; \
	    if [ -n "$$GZIPPED" ]; then \
		cat index.html | \
		sed 's/\(href="refcard-.*-\(a4\|lt\).pdf\)"/\1.gz"/g' \
		> $(DESTDIR)/index.html; \
	    else \
		cp index.html  $(DESTDIR)/; \
	    fi; \
	fi

checkpo:
	@for po in $(PO_FILES); do \
	    echo $$po; \
	    msgfmt --check --verbose $$po; \
	done

check:
	@for p in $(PDFS); do \
	    if [ \! -e $$p ]; then \
	        echo "ERROR: $$p does not exist!" 1>&2 ||:; \
		continue; \
            fi; \
	    PAGES=`pdfinfo -meta $$p | grep ^Pages | sed 's/.*  *//'`; \
	    [ "$$PAGES" -ne 2 ] && \
	    echo "ERROR: $$p has $$PAGES pages instead of 2!" 1>&2 ||:; \
	done

count:
	@for d in $(ENTRIES); do \
	    IDS=`grep '<glossentry id=' $$d | wc -l`; \
	    echo $$IDS	$$d; \
	done | sort -nr

clean:
	-rm -f *~ refcard-*.dbk refcard-*.fo refcard-*.[st].pdf \
	    $(ENTRIES) statistics.xml statistics.txt messages.mo \
	    empty.fo empty.pdf

mrproper: clean
	-rm -f index.html refcard.png $(PDFS) entries-*.dbk

## refcard 5.0.7-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# (C) 2004, 2005, 2008 W. Martin Borgert debacle@debian.org
+# (C) 2004, 2005, 2008, 2010 W. Martin Borgert <debacle@debian.org>
 # See COPYING for the license status of this software.
 
 # You need to apt-get install
@@ -9,10 +9,10 @@
 UPDATEPO=po4a-updatepo --format docbook
 XP=xsltproc --nonet --novalid
 XMLROFF=xmlroff --backend cairo
-# cairo backend of xmlroff 0.6.0 crashes on some languages (#492597)
-GPLIST=ar eu he hi ja sv
-XMLROFF_GP=xmlroff --backend gp
 DIA=dia
+
+PDFJOIN=pdfjoin --vanilla
+PDFNUP=pdfnup --vanilla
 
 # Not yet implemted in the new version (neither FO nor dblatex)
 #ifneq ($(AD),)
@@ -44,13 +44,13 @@
 
 # Because of current limitations of xmlroff in respect to layout, we
 # can also use dblatex. Like with fop, some languages don't work well:
-# See #499500 (bg), #492365 (he), #492366 (el), #492350 (ja), # #482857 (zh_CN)
+# See #492365 (he), #492366 (el), #492350 (ja), # #482857 (zh_CN)
 DBLATEX=dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl
 ifdef USE_DBLATEX
     ifeq ($(USE_DBLATEX),2)
 	XMLROFF_LANGS=
     else
-	XMLROFF_LANGS=ar bg el he hi ja zh_CN zh_TW
+	XMLROFF_LANGS=ar cs el he hi ja ml sk zh_CN zh_TW
     endif
 else
     XMLROFF_LANGS=$(A4_LANGS)
@@ -76,12 +76,7 @@
 	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
 	USE_XR=`echo " $(XMLROFF_LANGS) " | grep " $$L "`; \
 	if [ -n "$$USE_XR" ]; then \
-	    USE_GP=`echo " $(GPLIST) " | grep " $$L "`; \
-	    if [ -n "$$USE_GP" ]; then \
-		$(XMLROFF_GP) -o $@ $<; \
-	    else \
-		$(XMLROFF) -o $@ $<; \
-	    fi; \
+	    $(XMLROFF) -o $@ $<; \
 	else \
 	    if [ -n "$$USE_DBLATEX" ]; then \
 		SRC=`echo $<|sed 's/-\(a4\|lt\).fo/.dbk/'`; \
@@ -93,15 +88,13 @@
 	fi
 
 refcard-%-a4.t.pdf: refcard-%-a4.s.pdf empty.pdf
-	pdfjoin --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
-	pdfnup --nup 3x1 --outfile $@ --pages 5-6,1-4 \
-	    --paper a4paper $<.x.pdf
+	$(PDFJOIN) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
+	$(PDFNUP) --nup 3x1 --outfile $@ --paper a4paper $<.x.pdf 5-6,1-4
 	rm $<.x.pdf
 
 refcard-%-lt.t.pdf: refcard-%-lt.s.pdf empty.pdf
-	pdfjoin --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
-	pdfnup --nup 3x1 --outfile $@ --pages 5-6,1-4 \
-	    --paper letterpaper $<.x.pdf
+	$(PDFJOIN) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
+	$(PDFNUP) --nup 3x1 --outfile $@ --paper letterpaper $<.x.pdf 5-6,1-4
 	rm $<.x.pdf
 
 refcard-%.pdf: refcard-%.t.pdf metadata.xsl

=== debian/changelog ===
refcard (5.0.7-1) unstable; urgency=low

  * Team upload.
 
  [ Simon Paillard ]
  * Translation updates:
    - Dutch: Paul Gevers. (Closes: #606751)
  * Fix translations mess about editor/rm/pager command.
    Thanks a lot to Hans F. Nordhaug for the notice. 

 -- Simon Paillard <spaillard@debian.org>  Mon, 13 Dec 2010 22:57:47 +0100

refcard (5.0.6-1) unstable; urgency=low

  * Team upload.

  [ Simon Paillard ]
  * Translation updates:
    - Arabic: Ossama Khayat. (Closes: #605495)
    - Bulgarian: Kamen Naydenov.
    - Chinese: Tetralet. 
    - Chinese: yanliang tang.
    - Czech: Miroslav Kure. (Closes: 605927)
    - Danish: Kåre Thor Olsen.
    - Finnish: Tapio Lehtonen. 
    - German: Holger Wansing. (Closes: #606153)
    - Hebrew: Omer Za.
    - Norwegian: Hans F. Nordhaug.
    - Portuguese: Miguel Figueiredo.
    - Russian: Yuri Kozlov. (Closes: #592642)
    - Slovak: Ivan Masár. (Closes: #606071)
    - Spanish: Gunnar Wolf. 
    - Turkish: Selçuk Mıynat.
  * Add otf-ipafont-gothic to build-deps for correct japanese PDF with cairo
  * Update for grub2 user conf path (Closes: #605668)

  [ David Prévot ]
  * French Translation update.

  [ W. Martin Borgert ]
  * Disabled xmlroff gnomeprint backend in Makefile to prevent crashes
    (Closes: #584350). So I hope. Tested in a clean sid chroot.
  * Specify debian/source/format is 1.0.

 -- Simon Paillard <spaillard@debian.org>  Thu, 09 Dec 2010 20:47:49 +0100

refcard (5.0.5-3) unstable; urgency=low

  * Add build dependency on ghostscript. Closes: #577907.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Apr 2010 05:35:52 +0000

refcard (5.0.5-2) unstable; urgency=low

  * Do cs and sk languages with xmlroff instead of dblatex
    (closes: 551229) and add texlive-xetex, texlive-lang-cyrillic
    as build dependencies. Thanks to Lucas Nussbaum and Mike T.
  * Add Malay (ms) translation by Umarzuki Mochlis. Thanks!

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Feb 2010 12:16:56 +0000

refcard (5.0.5-1) unstable; urgency=low

  * Fix missing Build-Depends on lmodern (closes: #512513).
    Thanks to Lucas Nussbaum.
  * Add translation by Tetralet (zh_TW). Thanks, too!
  * Fix four missing spaces in French po file.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 23 Jan 2009 23:13:37 +0000

refcard (5.0.4-1) unstable; urgency=low

  * Now all 32 languages are complete. Thanks to the translators:
    David Planella (ca), Anders Wegge Keller and Kåre Thor Olsen (da),
    Rafael Ávila Coya (gl), Omer Zak (he), Paul Gevers (nl),
    Selçuk Mıynat (tr), and Artem B. (uk).
  * Use DEB_MAKE_ENVVARS, not DEB_MAKE_INSTALL_TARGET for USE_DBLATEX.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 05 Nov 2008 09:00:07 +0000

refcard (5.0.3-1) unstable; urgency=low

  * New translations: Thanks to Ossama M. Khayat (ar), Rajiv Ranjan
    (hi)
  * Translation updates. Thanks to Emmanuel Galatoulas (el), Jean-Luc
    Coulon (fr), Miguel Figueiredo (pt)
  * This is the first time, that the reference card is fully
    translated into the nine "world languages". Many thanks to all
    translators of all languages, of course.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 05 Oct 2008 17:22:03 +0000

refcard (5.0.2-1) unstable; urgency=low

  * Translations updated. Thanks to Kamen Naydenov (bg), Piarres
    Beobide (eu), Johan Haggi (it), shinichi tsunoda (ja), Hans F.
    Nordhaug (nb), Wiktor Wandachowicz (pl), Ionel Mugurel Ciobica
    (ro), Martin Bagge (sv), Deng Xiyue (zh_CN)
  * Minor layout fixes.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 18 Sep 2008 22:16:41 +0000

refcard (5.0.1-1) unstable; urgency=low

  * Translations updated. Thanks to Tapio Lehtonen (fi), Johan
    Haggi (it), Eder L. Marques (pt_BR).
  * Reenabled eu, ja, sv by use of gp backend instead of cairo.
  * New version: Better layout by use of dblatex for some languages.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 01 Aug 2008 19:29:09 +0000

refcard (5.0-1) unstable; urgency=low

  * New version with some updates for lenny (closes: #490918).
    Thanks to Justin B Rye for corrections and many useful ideas.
  * Translations updated. Thanks to Jens Seidel and Martin Zobel-Helas (de),
    Gunnar Wolf (es), Jean-Luc Coulon (fr), SZERVÁC Attila (hu), Kęstutis
    Biliūnas (lt), Hans F. Nordhaug (nb), Yuri Kozlov (ru), Peter Mann (sk),
    Martin Bagge (sv), Clythie Siddall (vi), (closes: #492346, #492080).
  * Reset original homepage (closes: #491528). Thanks to Yuri Kozlov.
  * fix hyperlinks (closes: #490815). Thanks again to Justin B Rye.
  * Note: eu, ja, sv temporarily disabled because of tool problems. Sorry!
    Under investigation.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 25 Jul 2008 22:01:56 +0000

refcard (0.3.2-1) unstable; urgency=low

  * Initial package (closes: #463069).

 -- W. Martin Borgert <debacle@debian.org>  Thu, 31 Jan 2008 18:56:36 +0000

=== debian/control ===
Source: refcard
Section: doc
Priority: optional
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Standards-Version: 3.8.4
Build-Depends: cdbs, dblatex (>= 0.2.9-3), debhelper (>= 5), dia, docbook-xsl, ghostscript, lmodern, pdfjam, pdftk, po4a, texlive-xetex, texlive-lang-cyrillic, xmlroff (>= 0.6.0), poppler-utils, xsltproc, otf-ipafont-gothic
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/refcard
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/refcard/
Homepage: http://tangosoft.com/refcard/

Package: debian-refcard
Architecture: all
Depends: ${misc:Depends}
Recommends: evince | pdf-viewer
Suggests: doc-base
Description: printable reference card for the Debian system
 The Debian GNU/Linux reference card provides new users help with
 the most important commands. Basic knowledge of computers, files,
 directories and the command line is required, however. The
 package contains printable PDF files in multiple languages.

## refcard 5.0.8

=== debian/changelog ===
refcard (5.0.8) unstable; urgency=low

  * Team upload.
 
  [ W. Martin Borgert ]
  * Translation added:
    - Indonesian: Kemas Antonius <kyantonius@gmail.com>

  [ David Prévot ]
  * Update Reference Card URL. (Closes: #647062)
  * Fix Swedish typo, thanks to Andreas Rönnquist. (Closes: #668317)
  * Fix English typo, thanks to Holger Wansing. (Closes: #630924)
  * Add xz to (de)compressing tools, thanks to Cesar Gil. (Closes: #649413)
  * dblatex.xsl: change <xsl:choose> for de, it and ro, thanks to Holger
    Wansing. (Closes: #630923)

  [ Osamu Aoki ]
  * texlive-xetex (2012.20120611-3) lists tipa in Depends and fixed build
    problem.  (Closes: #666622)
  * Use proper native package version system.
  * Bump Standards-Version: 3.9.3 and add compat.

 -- Osamu Aoki <osamu@debian.org>  Tue, 10 Jul 2012 22:51:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Build-Depends: cdbs, dblatex (>= 0.2.9-3), debhelper (>= 5), dia, docbook-xsl, ghostscript, lmodern, pdfjam, pdftk, po4a, texlive-xetex, texlive-lang-cyrillic, xmlroff (>= 0.6.0), poppler-utils, xsltproc, otf-ipafont-gothic
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/refcard
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/refcard/
-Homepage: http://tangosoft.com/refcard/
+Homepage: http://www.debian.org/doc/manuals/refcard/
 
 Package: debian-refcard
 Architecture: all

## refcard 5.0.9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 TRANSLATE=po4a-translate --format docbook --keep 0
 UPDATEPO=po4a-updatepo --format docbook
 XP=xsltproc --nonet --novalid
-XMLROFF=xmlroff --backend cairo
+XMLROFF=xmlroff --backend cairo --continue
 DIA=dia
 
 PDFJOIN=pdfjoin --vanilla

=== debian/changelog ===
refcard (5.0.9) unstable; urgency=low

  * Team upload

  [ Osamu Aoki ]
  * Fix version in the generated PDF and HTML (Closes: #681359)
  * Drop `Condition ... in legal notice and made it one paragraph
    to ensure GPL-3 link information (Closes:  #681492)
  * URL link to http://www.debian.org/doc/user-manuals#refcard

  [ David Prévot ]
  * Allow xmlroff to continue after any formatting errors (Closes: #713777)
  * Build-depend on fonts-ipafont-gothic instead of otf-ipafont-gothic
    (Closes: #714055)
  * Bump standards version to 3.9.4
  * Update Vcs to canonical URI
  * Update Homepage
  * Drop useless version in dependencies
  * Add some now needed texlive-lang-* dependencies

  [ Beatrice Torracca ]
  * Update Italian translation

  [ Victory ]
  * Update Japanese translation

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2013 17:48:08 -0400

=== debian/control ===
Source: refcard
Section: doc
Priority: optional
Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Standards-Version: 3.9.4
Build-Depends: cdbs,
               dblatex,
               debhelper (>= 5),
               dia,
               docbook-xsl,
               fonts-ipafont-gothic,
               ghostscript,
               lmodern,
               pdfjam,
               pdftk,
               po4a,
               poppler-utils,
               texlive-lang-cyrillic,
               texlive-lang-european,
               texlive-lang-french,
               texlive-lang-german,
               texlive-lang-greek,
               texlive-lang-italian,
               texlive-lang-other,
               texlive-lang-polish,
               texlive-lang-portuguese,
               texlive-lang-spanish,
               texlive-xetex,
               xmlroff,
               xsltproc
Vcs-Svn: svn://anonscm.debian.org/ddp/manuals/trunk/refcard
Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/refcard/
Homepage: http://www.debian.org/doc/user-manuals#refcard

Package: debian-refcard
Architecture: all
Depends: ${misc:Depends}
Recommends: evince | pdf-viewer
Suggests: doc-base
Description: printable reference card for the Debian system
 The Debian GNU/Linux reference card provides new users help with
 the most important commands. Basic knowledge of computers, files,
 directories and the command line is required, however. The
 package contains printable PDF files in multiple languages.

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CLEAN_TARGET := mrproper
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/debian-refcard/usr/share/doc/debian-refcard GZIPPED=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
DEB_MAKE_ENVVARS := USE_DBLATEX=1

## refcard 9.0.3

=== debian/changelog ===
refcard (9.0.3) unstable; urgency=low

  [ Holger Wansing ]
  * Some more Depends are needed to fix 834677: fonts-ipafont-gothic and
    fonts-ipafont-mincho. (Closes: 834677)
  [ W. Martin Borgert ]
  * Add Holger to Uploaders.

 -- Holger Wansing <holgerw@debian.org>  Thu, 01 Sep 2016 20:38:11 +0000

refcard (9.0.2) unstable; urgency=low

  * Deactivate Malayalam translation (heavily outdated, has never been
    fully supported by translator).
  * Add missing build-dependency fonts-ipaexfont-gothic (Closes: 834677).

 -- Holger Wansing <holgerw@debian.org>  Sun, 14 Aug 2016 20:15:19 +0000

refcard (9.0.1) unstable; urgency=medium

  * Drop dependency on font removed from Debian (Closes: #833265).
  * Minor update to debian/README.source.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 07 Aug 2016 14:28:19 +0000

refcard (9.0) unstable; urgency=low

  * Team upload

  [ David Prévot ]
  * Get rid of now useless texlive-lang-greek build-dependency
    (workaround #725928 now fixed)

  [ Holger Wansing ]
  * Fix licence info (follow up to #681492)
  * Change versioning scheme, to make major version number match the
    major number of the relevant Debian release.
  * Update content (apt, sysvinit/systemd, console config) to follow
    development in Stretch; drop Apache/Samba/m-a/make-kpkg content.
  * Fix the use of wrong encoding in PDF metadata: use pdftk with 
    'update_info_utf8' instead of 'update_info'
  * Don't translate the command 'reportbug' in zh_CN (Closes: #783849)
  * Fix some typos in spanish translation, thanks to Octavio Alvarez
    (Closes: #794800)
  * Change build mechanism for cs, el and sk: use dblatex instead of
    xmlroff (Closes: #821119, #606421)
  * Change build mechanism for ja, zh-CN, zh-TW and hi: use dblatex
    instead of xmlroff; patch origin by Victory. (Closes: #783848, #832836)
  * Fix layout for RTL languages; patch by Omer Zak. (see #822083)
  * Translation updates:
    - German: Holger Wansing.
    - Japanese: Victory.
    - Vietnamese: Trần Ngọc Quân
    - Hebrew: Omer Zak
    - Czech: Miroslav Kure (Closes: #820516)
    - Russian: Yuri Kozlov (Closes: #820574)
    - Chinese: yanliang tang
    - Indonesian: Kemas Antonius
    - Portuguese: Miguel Figueiredo (Closes: #821032)
    - French: Baptiste Jammet (Closes: #821280)
    - Greek: Iliana Panagopoulou
    - Spanish: Octavio Alvarez
    - Slovak: helix84 (Closes: #822953)
    - Danish: Joe Dalton (Closes: #822898)
    - Catalan: Innocent De Marchi (Closes: #823242)
    - Bulgarian: Kamen Naydenov
    - Brazilian Portuguese: Adriano Rafael Gomes (Closes: #823336)
    - Dutch: Frans Spiesschaert (Closes: #823357)
    - Hungarian: Miklos Quartus
    - Traditional Chinese: Shen-Ta Hsieh
    - Norwegian Bokmål: Hans Fredrik Nordhaug
    - Basque: dooteo
    - Finnish: Juhani Numminen
    - Swedish: Andreas Ronnquist (Closes: #825300)
    - Polish: Mirosław Gabruś and Tomasz Nitecki (Closes: #825570)
    - Ukrainian: Asal Mirzaieva and Сергій Кондрашов
    - Hindi: Rajiv Ranjan
  * Translations added:
    - Serbian: Dragan Filipovic

  [ Beatrice Torracca ]
  * Update Italian translation

  [ W. Martin Borgert ]
  * Add missing build-deps
  * Moved packaging to Git
  * Bump standards version to 3.9.8, no changes
  * Source format 3.0 (native)
	
 -- W. Martin Borgert <debacle@debian.org>  Sun, 31 Jul 2016 11:57:22 +0000

## refcard 9.0.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # (C) 2004, 2005, 2008, 2010 W. Martin Borgert <debacle@debian.org>
 # See COPYING for the license status of this software.
 
-# You need to apt-get install
-# docbook-xsl pdfjam pdftk po4a xmlroff poppler-utils xsltproc
+# You need to install the build dependencies ('apt-get build-dep refcard'):
+# docbook-xsl pdfjam pdftk po4a xmlroff dblatex poppler-utils xsltproc
 
 # The "--keep 0" can be removed when the translations are ready
 TRANSLATE=po4a-translate --format docbook --keep 0
@@ -50,7 +50,7 @@
     ifeq ($(USE_DBLATEX),2)
 	XMLROFF_LANGS=
     else
-	XMLROFF_LANGS=ar cs el he hi ja ml sk zh_CN zh_TW
+	XMLROFF_LANGS=ar he ml
     endif
 else
     XMLROFF_LANGS=$(A4_LANGS)
@@ -100,7 +100,7 @@
 refcard-%.pdf: refcard-%.t.pdf metadata.xsl
 	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
 	$(XP) metadata.xsl entries-$$L.dbk | \
-	pdftk $< update_info - output $@
+	pdftk $< update_info_utf8 - output $@
 
 entries-%.dbk: po4a/%.po entries.dbk
 	$(TRANSLATE) -m entries.dbk -p $< -l $@

=== debian/changelog ===
refcard (9.0.4) unstable; urgency=low

  [ Holger Wansing ]
  * Fix translation errors in simplified Chinese. Closes: 864403

 -- Holger Wansing <holgerw@debian.org>  Thu, 08 Jun 2017 11:28:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,28 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Standards-Version: 3.9.4
+Uploaders: W. Martin Borgert <debacle@debian.org>,
+           Holger Wansing <holgerw@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: cdbs,
                dblatex,
                debhelper (>= 5),
                dia,
                docbook-xsl,
+               fonts-hanazono,
+               fonts-nakula,
+               fonts-ipaexfont-gothic,
                fonts-ipafont-gothic,
+               fonts-ipafont-mincho,
                ghostscript,
                lmodern,
                pdfjam,
                pdftk,
                po4a,
                poppler-utils,
+               texlive-lang-cjk,
                texlive-lang-cyrillic,
+               texlive-lang-czechslovak,
                texlive-lang-european,
                texlive-lang-french,
                texlive-lang-german,
@@ -29,8 +36,8 @@
                texlive-xetex,
                xmlroff,
                xsltproc
-Vcs-Svn: svn://anonscm.debian.org/ddp/manuals/trunk/refcard
-Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/refcard/
+Vcs-Git: git://anonscm.debian.org/collab-maint/refcard.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/refcard.git
 Homepage: http://www.debian.org/doc/user-manuals#refcard
 
 Package: debian-refcard

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
-DEB_MAKE_ENVVARS := USE_DBLATEX=1
+DEB_MAKE_ENVVARS := USE_DBLATEX=1 LC_ALL=en_US.utf8

## refcard 10.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# (C) 2004, 2005, 2008, 2010 W. Martin Borgert <debacle@debian.org>
+# (C) 2004, 2005, 2008, 2010, 2017 W. Martin Borgert <debacle@debian.org>
 # See COPYING for the license status of this software.
 
 # You need to install the build dependencies ('apt-get build-dep refcard'):
-# docbook-xsl pdfjam pdftk po4a xmlroff dblatex poppler-utils xsltproc
+# docbook-xsl texlive-extra-utils pdftk po4a xmlroff dblatex poppler-utils xsltproc
 
 # The "--keep 0" can be removed when the translations are ready
 TRANSLATE=po4a-translate --format docbook --keep 0
@@ -21,30 +21,18 @@
 #    ad=
 #endif
 
-PO_FILES=$(wildcard po4a/*.po)
+# space separated list of languages to ignore
+DISABLE=ml
+PO_FILES=$(sort $(filter-out $(patsubst %,po4a/%.po,$(DISABLE)), $(wildcard po4a/*.po)))
 # international standard format
 A4_LANGS=en $(patsubst po4a/%.po,%,$(PO_FILES))
 # non-standard format for north america
 LT_LANGS=en es fr
 
-# xmlroff has some issues, so we can use FOP instead. FOP,
-# however, fails on non Western European languages and is not
-# yet in Debian/main. Call make with USE_FOP=1 (use FOP for some
-# languages) or USE_FOP=2 (use always FOP)
-FOP=fop
-ifdef USE_FOP
-    ifeq ($(USE_FOP),2)
-	XMLROFF_LANGS=
-    else
-	XMLROFF_LANGS=bg cs el he hu ja nb pl ro ru sk tr uk vi zh_CN zh_TW
-    endif
-else
-    XMLROFF_LANGS=$(A4_LANGS)
-endif
-
 # Because of current limitations of xmlroff in respect to layout, we
-# can also use dblatex. Like with fop, some languages don't work well:
+# can also use dblatex. Some languages don't work well:
 # See #492365 (he), #492366 (el), #492350 (ja), # #482857 (zh_CN)
+XMLROFF_LANGS=$(A4_LANGS)
 DBLATEX=dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl
 ifdef USE_DBLATEX
     ifeq ($(USE_DBLATEX),2)
@@ -73,17 +61,15 @@
 
 # the .fo is not used for dblatex, but I don't care
 refcard-%.s.pdf: refcard-%.fo dblatex.xsl refcard.sty
-	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
-	USE_XR=`echo " $(XMLROFF_LANGS) " | grep " $$L "`; \
+	L=$$(echo $@ | sed 's/.*-\(.*\)-.*/\1/'); \
+	USE_XR=$$(echo " $(XMLROFF_LANGS) " | grep " $$L "); \
 	if [ -n "$$USE_XR" ]; then \
 	    $(XMLROFF) -o $@ $<; \
 	else \
 	    if [ -n "$$USE_DBLATEX" ]; then \
-		SRC=`echo $<|sed 's/-\(a4\|lt\).fo/.dbk/'`; \
-		FMT=`echo $<|sed 's/.*-\(a4\|lt\).fo/\1/'`; \
+		SRC=$$(echo $<|sed 's/-\(a4\|lt\).fo/.dbk/'); \
+		FMT=$$(echo $<|sed 's/.*-\(a4\|lt\).fo/\1/'); \
 		$(DBLATEX) --output=$@ --param=format=$$FMT $$SRC; \
-	    else \
-		$(FOP) $< $@; \
 	    fi; \
 	fi
 
@@ -98,14 +84,14 @@
 	rm $<.x.pdf
 
 refcard-%.pdf: refcard-%.t.pdf metadata.xsl
-	L=`echo $@ | sed 's/.*-\(.*\)-.*/\1/'`; \
+	L=$$(echo $@ | sed 's/.*-\(.*\)-.*/\1/'); \
 	$(XP) metadata.xsl entries-$$L.dbk | \
 	pdftk $< update_info_utf8 - output $@
 
 entries-%.dbk: po4a/%.po entries.dbk
 	$(TRANSLATE) -m entries.dbk -p $< -l $@
 
-all: index.html $(PDFS) check
+all: index.html refcard.png $(PDFS) check
 
 updatepo: $(PO_FILES) po4a/entries.pot
 $(PO_FILES) po4a/entries.pot: entries.dbk
@@ -134,7 +120,7 @@
 	    echo '<?xml version="1.0" encoding="utf-8"?>'; \
 	    echo '<statistics>'; \
 	    for po in $(PO_FILES); do \
-		L=`basename $$po .po`; \
+		L=$$(basename $$po .po); \
 		echo -n '<s l="'$$L'">'; \
 		msgfmt --statistics $$po 2>&1 | \
 		    sed -e 's|\([0-9]*\) translated messages*|\1\&#x00A0;ok|' \
@@ -158,19 +144,6 @@
 refcard.png: refcard.dia
 	$(DIA) --export=$@ $<
 
-install: index.html refcard.png $(PDFS)
-	if [ -n "$$DESTDIR" ]; then \
-	    mkdir -p $$DESTDIR; \
-	    cp -fp openlogo-nd-25.png refcard.png $(PDFS) $(DESTDIR)/; \
-	    if [ -n "$$GZIPPED" ]; then \
-		cat index.html | \
-		sed 's/\(href="refcard-.*-\(a4\|lt\).pdf\)"/\1.gz"/g' \
-		> $(DESTDIR)/index.html; \
-	    else \
-		cp index.html  $(DESTDIR)/; \
-	    fi; \
-	fi
-
 checkpo:
 	@for po in $(PO_FILES); do \
 	    echo $$po; \
@@ -183,14 +156,14 @@
 	        echo "ERROR: $$p does not exist!" 1>&2 ||:; \
 		continue; \
             fi; \
-	    PAGES=`pdfinfo -meta $$p | grep ^Pages | sed 's/.*  *//'`; \
+	    PAGES=$$(pdfinfo "$$p" | grep ^Pages: | sed 's/Pages:[^0-9]*//'); \
 	    [ "$$PAGES" -ne 2 ] && \
 	    echo "ERROR: $$p has $$PAGES pages instead of 2!" 1>&2 ||:; \
 	done
 
 count:
 	@for d in $(ENTRIES); do \
-	    IDS=`grep '<glossentry id=' $$d | wc -l`; \
+	    IDS=$$(grep '<glossentry id=' $$d | wc -l); \
 	    echo $$IDS	$$d; \
 	done | sort -nr

=== debian/changelog ===
refcard (10.0) unstable; urgency=low

  [ Holger Wansing ]
  * Change package dependency: pdfjam has been removed from unstable,
    was already an transitional package for and has been superseded by
    texlive-extra-utils. Closes: 867101
  * Update ifup|ifdown command to ip link set. Closes: 869485
  * Fix several issues (Debian GNU/Linux -> Debian; switch from debsums
    to dpkg -V; update links; updates/fixes for new apt command). 
    Closes: 753492
  * Some minor fixups in wording.
  * Translation updates:
    - Portuguese: Miguel Figueiredo. Closes: #869997
    - German: Holger Wansing.
  * Change versioning scheme from 10.0.0 to 10.0.

  [ W. Martin Borgert ]
  * Remove fop from Makefile and add variable for disabling languages
  * Fix metadata.xsl for newer pdftk
  * Move from CDBS to dh
  * Set compat level to 10
  * Bump standards version to 4.0.1 (no changes)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 09 Aug 2017 06:49:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Holger Wansing <holgerw@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: cdbs,
-               dblatex,
-               debhelper (>= 5),
+Standards-Version: 4.0.1
+Build-Depends: dblatex,
+               debhelper (>= 10),
                dia,
                docbook-xsl,
                fonts-hanazono,
@@ -17,7 +16,7 @@
                fonts-ipafont-mincho,
                ghostscript,
                lmodern,
-               pdfjam,
+               texlive-extra-utils,
                pdftk,
                po4a,
                poppler-utils,
@@ -37,14 +36,15 @@
                xmlroff,
                xsltproc
 Vcs-Git: git://anonscm.debian.org/collab-maint/refcard.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/refcard.git
-Homepage: http://www.debian.org/doc/user-manuals#refcard
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refcard.git/
+Homepage: https://www.debian.org/doc/user-manuals#refcard
 
 Package: debian-refcard
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: evince | pdf-viewer
 Suggests: doc-base
+Multi-Arch: foreign
 Description: printable reference card for the Debian system
  The Debian GNU/Linux reference card provides new users help with
  the most important commands. Basic knowledge of computers, files,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	USE_DBLATEX=1 LC_ALL=en_US.utf8 $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) mrproper

## refcard 10.3

=== debian/changelog ===
refcard (10.3) unstable; urgency=medium

  * Improve layout for some languages, to get the copyright notice at the
    bottom of the middle of first sheet. (Closes: #917766)
  * Use a smaller font for Greek, to get the copyright notice displayed.
    (Closes: #918127)
  * Use bigger font for Bulgarian, French and Spanish; improves readibility
    without any disadvantage. (Closes: #917768, #918773)
  * Replace all <literal> </literal> tags by <filename> </filename>, to fix
    missing line-breaks within the first ones. (Closes: #880696)
  * Replace pdftk (removed from unstable) by his successor pdftk-java.
  * Replace /sbin/ip command by ip. (Closes: #917336)
  * Move no longer built languages (ar, he, ml) to attic/ directory.

  * Updated translations:
     * Bulgarian (Kamen Naydenov)
     * Norwegian Bokmal (Hans Fredrik Nordhaug)

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 13 Jan 2019 22:33:46 +0100

refcard (10.2) unstable; urgency=medium

  [ W. Martin Borgert ]
  * Fix use of dblatex to build pdf. (Closes: #898560)

  [ Holger Wansing ]
  * Get rid of xmlroff dependency (also disables Arabic, Hebrew and Malayalam
    build). Closes: #917458
  * Update (english) content for Buster.
  * Updated translations
     * Danish (Joe Hansen)
     * French (Baptiste Jammet)
     * Brazilian Portuguese (Adriano Rafael Gomes)
     * Serbian (Dragan Filipovic)
     * Ukrainian (Asal Mirzaieva)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 03 Jan 2019 22:25:39 +0100

refcard (10.1) unstable; urgency=low

  [ Holger Wansing ]
  * Translation updates:
    - Swedish: Andreas Ronnquist. Closes: #872499
    - Dutch: Frans Spiesschaert. Closes: #874290
  * Update package description (Debian GNU/Linux -> Debian)
  * Revert version displayed in the card back to Jessie version, to get a
    Jessie refcard at debian.org/doc again.
  * Remove auto-apt from the card, it is no longer in Debian. Closes: #869755

  [ W. Martin Borgert ]
  * Move git repo to salsa.debian.org
  * Bump dh compat level
  * Bump standards version to 4.1.4 (no changes)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 12 May 2018 21:06:09 +0000

## refcard 10.4

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,17 @@
 # See COPYING for the license status of this software.
 
 # You need to install the build dependencies ('apt-get build-dep refcard'):
-# docbook-xsl texlive-extra-utils pdftk po4a xmlroff dblatex poppler-utils xsltproc
+# docbook-xsl texlive-extra-utils pdftk-java po4a dblatex poppler-utils xsltproc
 
 # The "--keep 0" can be removed when the translations are ready
 TRANSLATE=po4a-translate --format docbook --keep 0
 UPDATEPO=po4a-updatepo --format docbook
 XP=xsltproc --nonet --novalid
-XMLROFF=xmlroff --backend cairo --continue
 DIA=dia
 
 PDFJOIN=pdfjoin --vanilla
 PDFNUP=pdfnup --vanilla
+PDFTK=pdftk.pdftk-java
 
 # Not yet implemted in the new version (neither FO nor dblatex)
 #ifneq ($(AD),)
@@ -21,28 +21,17 @@
 #    ad=
 #endif
 
-# space separated list of languages to ignore
-DISABLE=ml
+# space separated list of languages to ignore.
+# disable RTL languages, currently unable to built them with dblatex
+DISABLE=ar he ml
 PO_FILES=$(sort $(filter-out $(patsubst %,po4a/%.po,$(DISABLE)), $(wildcard po4a/*.po)))
 # international standard format
 A4_LANGS=en $(patsubst po4a/%.po,%,$(PO_FILES))
 # non-standard format for north america
 LT_LANGS=en es fr
 
-# Because of current limitations of xmlroff in respect to layout, we
-# can also use dblatex. Some languages don't work well:
-# See #492365 (he), #492366 (el), #492350 (ja), # #482857 (zh_CN)
-XMLROFF_LANGS=$(A4_LANGS)
+# dblatex to be used by default.
 DBLATEX=dblatex --backend=xetex --texstyle=refcard.sty --xsl-user=dblatex.xsl
-ifdef USE_DBLATEX
-    ifeq ($(USE_DBLATEX),2)
-	XMLROFF_LANGS=
-    else
-	XMLROFF_LANGS=ar he ml
-    endif
-else
-    XMLROFF_LANGS=$(A4_LANGS)
-endif
 
 ENTRIES=$(patsubst %,entries-%.dbk,$(A4_LANGS))
 
@@ -62,16 +51,9 @@
 # the .fo is not used for dblatex, but I don't care
 refcard-%.s.pdf: refcard-%.fo dblatex.xsl refcard.sty
 	L=$$(echo $@ | sed 's/.*-\(.*\)-.*/\1/'); \
-	USE_XR=$$(echo " $(XMLROFF_LANGS) " | grep " $$L "); \
-	if [ -n "$$USE_XR" ]; then \
-	    $(XMLROFF) -o $@ $<; \
-	else \
-	    if [ -n "$$USE_DBLATEX" ]; then \
 		SRC=$$(echo $<|sed 's/-\(a4\|lt\).fo/.dbk/'); \
 		FMT=$$(echo $<|sed 's/.*-\(a4\|lt\).fo/\1/'); \
-		$(DBLATEX) --output=$@ --param=format=$$FMT $$SRC; \
-	    fi; \
-	fi
+		$(DBLATEX) --output=$@ --param=format=$$FMT $$SRC
 
 refcard-%-a4.t.pdf: refcard-%-a4.s.pdf empty.pdf
 	$(PDFJOIN) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
@@ -86,7 +68,7 @@
 refcard-%.pdf: refcard-%.t.pdf metadata.xsl
 	L=$$(echo $@ | sed 's/.*-\(.*\)-.*/\1/'); \
 	$(XP) metadata.xsl entries-$$L.dbk | \
-	pdftk $< update_info_utf8 - output $@
+	$(PDFTK) $< update_info_utf8 - output $@
 
 entries-%.dbk: po4a/%.po entries.dbk
 	$(TRANSLATE) -m entries.dbk -p $< -l $@
@@ -101,13 +83,6 @@
 	for po in $(PO_FILES) po4a/entries.pot; do \
 	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
 	done
-
-# make sure, we have always at least six pages for pdfnup
-empty.fo: empty.dbk fo.xsl
-	$(XP) fo.xsl $< > $@
-
-empty.pdf: empty.fo
-	$(XMLROFF) -o $@ $<
 
 .PHONY: all clean count mrproper
 
@@ -169,8 +144,7 @@
 
 clean:
 	-rm -f *~ refcard-*.dbk refcard-*.fo refcard-*.[st].pdf \
-	    $(ENTRIES) statistics.xml statistics.txt messages.mo \
-	    empty.fo empty.pdf
+	    $(ENTRIES) statistics.xml statistics.txt messages.mo
 
 mrproper: clean
 	-rm -f index.html refcard.png $(PDFS) entries-*.dbk

=== debian/changelog ===
refcard (10.4) unstable; urgency=medium

  * Updated translations:
     * Finnish (Juhani Numminen)
     * Italian (Beatrice Torracca)
     * Japanese (Victory)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 07 Mar 2019 21:16:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Holger Wansing <holgerw@debian.org>
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Build-Depends: dblatex,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dia,
                docbook-xsl,
                fonts-hanazono,
@@ -17,7 +17,7 @@
                ghostscript,
                lmodern,
                texlive-extra-utils,
-               pdftk,
+               pdftk-java,
                po4a,
                poppler-utils,
                texlive-lang-cjk,
@@ -33,10 +33,9 @@
                texlive-lang-portuguese,
                texlive-lang-spanish,
                texlive-xetex,
-               xmlroff,
                xsltproc
-Vcs-Git: git://anonscm.debian.org/collab-maint/refcard.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refcard.git/
+Vcs-Git: https://salsa.debian.org/ddp-team/refcard.git
+Vcs-Browser: https://salsa.debian.org/ddp-team/refcard
 Homepage: https://www.debian.org/doc/user-manuals#refcard
 
 Package: debian-refcard
@@ -46,7 +45,7 @@
 Suggests: doc-base
 Multi-Arch: foreign
 Description: printable reference card for the Debian system
- The Debian GNU/Linux reference card provides new users help with
+ The Debian reference card provides new users help with
  the most important commands. Basic knowledge of computers, files,
  directories and the command line is required, however. The
  package contains printable PDF files in multiple languages.

## refcard 10.4+nmu1

=== debian/changelog ===
refcard (10.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:30:18 +0800

## refcard 10.6

=== debian/changelog ===
refcard (10.6) unstable; urgency=medium

  * Replace no-longer-existing pdfjoin and pdfnup by their corresponding
    pdfjam commands. (Closes: #948801)

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 19 Jan 2020 17:27:39 +0100

refcard (10.5) unstable; urgency=medium

  * Get rid of Build-Depend: dia (add a static refcard.png to the repo,
    while removing the 'dia' call).
  * Updated translations:
     * Italian (Dionisio E Alonso)

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 26 Oct 2019 00:19:16 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Standards-Version: 4.1.4
 Build-Depends: dblatex,
                debhelper (>= 11),
-               dia,
                docbook-xsl,
                fonts-hanazono,
                fonts-nakula,

## refcard 10.7

=== debian/changelog ===
refcard (10.7) unstable; urgency=medium

  [ Holger Wansing ]
  * dblatex corrupts visible URL to GPL, since it adds a hyphen at line-break.
    Inlcude it in <filename>..</filename>, to avoid that.
  * Correct some wrong line-breaks in translations.
  * Add Korean translation by sebul <sebuls@gmail.com>.
  * Add texlive-lang-chinese and -korean as build-depends (additionally needed
    for CJK PDFs starting from texlive-2020).

  [ Alban Vidal ]
  * Add readme file.

  * Updated translations:
     * Bulgarian (Kamen Naydenov)
     * Simplified Chinese (肖盛文)
     * Traditional Chinese (Shen-Ta Hsieh)
     * Czech (Branislav Makúch)
     * Dutch (Frans Spiesschaert)
     * French (Baptiste Jammet)
     * German (Holger Wansing)
     * Italian (Beatrice Torracca)
     * Japanese (Victory)
     * Brazilian Portuguese (Adriano Rafael Gomes)
     * Portuguese (Miguel Figueiredo)
     * Swedish (Andreas Rönnquist)
     * Vietnamese (Trần Ngọc Quân)

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 06 Jun 2020 19:07:58 +0200

## refcard 11.0

=== debian/changelog ===
refcard (11.0) unstable; urgency=medium

  * Refer to ifupdown for activating/deactivating network interfaces.
    Closes: #975420
  * Let's release for Bullseye.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Mar 2021 16:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,14 @@
                fonts-ipaexfont-gothic,
                fonts-ipafont-gothic,
                fonts-ipafont-mincho,
+               fonts-noto-cjk,
                ghostscript,
                lmodern,
                texlive-extra-utils,
                pdftk-java,
                po4a,
                poppler-utils,
+               texlive-lang-chinese,
                texlive-lang-cjk,
                texlive-lang-cyrillic,
                texlive-lang-czechslovak,
@@ -27,6 +29,7 @@
                texlive-lang-german,
                texlive-lang-greek,
                texlive-lang-italian,
+               texlive-lang-korean,
                texlive-lang-other,
                texlive-lang-polish,
                texlive-lang-portuguese,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	LC_ALL=en_US.utf8 $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) mrproper

## refcard 12.0

=== debian/changelog ===
refcard (12.0) unstable; urgency=medium

  * Add entry for live images.
  * Formatting changes, to get plain quotes instead of curly quotes, making
    copy-and-paste of command possible/easier.
  * Fix over-long line.

  * Updated translations:
     * Bulgarian (Kamen Naydenov)
     * Catalan
     * Dutch (Frans Spiesschaert)
     * French (Baptiste Jammet)
     * Italian (Beatrice Torracca)
     * Indonesian (Kemas Antonius)
     * German (Holger Wansing)
     * Korean (Sangdo Jun)
     * Portuguese (Miguel Figueiredo)
     * Brazilian Portuguese (Adriano Rafael Gomes)
     * Swedish (Andreas Rönnquist)

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 22 Mar 2023 22:15:43 +0100

## refcard 13.0

=== debian/changelog ===
refcard (13.0) unstable; urgency=medium

  * Update content.

  * Updated translations:
     * Ukranian (Asal Mirzaieva)
     * Simplified Chinese (xiao sheng wen)
     * Dutch (Frans Spiesschaert)
     * German (Holger Wansing)
  * Release for trixie.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Mar 2025 22:50:59 +0100

## refcard 13.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,7 @@
 XP=xsltproc --nonet --novalid
 DIA=dia
 
-PDFJOIN=pdfjoin --vanilla
-PDFNUP=pdfnup --vanilla
+PDFJAM=pdfjam --vanilla
 PDFTK=pdftk.pdftk-java
 
 # Not yet implemted in the new version (neither FO nor dblatex)
@@ -56,13 +55,13 @@
 		$(DBLATEX) --output=$@ --param=format=$$FMT $$SRC
 
 refcard-%-a4.t.pdf: refcard-%-a4.s.pdf empty.pdf
-	$(PDFJOIN) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
-	$(PDFNUP) --nup 3x1 --outfile $@ --paper a4paper $<.x.pdf 5-6,1-4
+	$(PDFJAM) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
+	$(PDFJAM) --nup 3x1 --landscape --outfile $@ --paper a4paper $<.x.pdf 5-6,1-4
 	rm $<.x.pdf
 
 refcard-%-lt.t.pdf: refcard-%-lt.s.pdf empty.pdf
-	$(PDFJOIN) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
-	$(PDFNUP) --nup 3x1 --outfile $@ --paper letterpaper $<.x.pdf 5-6,1-4
+	$(PDFJAM) --fitpaper true --outfile $<.x.pdf $< empty.pdf empty.pdf
+	$(PDFJAM) --nup 3x1 --landscape --outfile $@ --paper letterpaper $<.x.pdf 5-6,1-4
 	rm $<.x.pdf
 
 refcard-%.pdf: refcard-%.t.pdf metadata.xsl
@@ -116,9 +115,6 @@
 index.html: refcard.dbk $(ENTRIES) statistics.xml html.xsl
 	$(XP) --xinclude html.xsl $< > $@
 
-refcard.png: refcard.dia
-	$(DIA) --export=$@ $<
-
 checkpo:
 	@for po in $(PO_FILES); do \
 	    echo $$po; \
@@ -147,4 +143,4 @@
 	    $(ENTRIES) statistics.xml statistics.txt messages.mo
 
 mrproper: clean
-	-rm -f index.html refcard.png $(PDFS) entries-*.dbk
+	-rm -f index.html $(PDFS) entries-*.dbk

=== debian/changelog ===
refcard (13.1) unstable; urgency=medium

  * Updated translations:
     * Catalan (poc senderi)
     * Portuguese (Miguel Figueiredo)

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 13 Apr 2025 15:54:40 +0200

## refcard 13.1.1

=== debian/changelog ===
refcard (13.1.1) unstable; urgency=medium

  * Switch default fonts from Dejavu to Freefont, due to some breakage in
    latest texlive. Closes: #1119771.

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 17 Nov 2025 21:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Documentation Project <debian-doc@lists.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
-           Holger Wansing <holgerw@debian.org>
+           Holger Wansing <hwansing@mailbox.org>
 Standards-Version: 4.1.4
 Build-Depends: dblatex,
                debhelper (>= 11),
                docbook-xsl,
+               fonts-freefont-ttf,
                fonts-hanazono,
                fonts-nakula,
                fonts-ipaexfont-gothic,
